# std::vector::end, std::vector::cend

From cppreference.com
< cpp‎ | container‎ | vector

iterator end(); |  |
const_iterator end() const; |  |
const_iterator cend() const; |  | (since C++11)

Returns an iterator to the element following the last element of the container.

This element acts as a placeholder; attempting to access it results in undefined behavior.

### Parameters

(none)

### Return value

Iterator to the element following the last element.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant.

### See also

begin cbegin | returns an iterator to the beginning (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/vector/end&oldid=50810"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template